# PetscContainerGetPointer

Gets the pointer value contained in the container.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscContainerGetPointer(PetscContainer obj,void **ptr)

Collective on PetscContainer

### Input Parameter

obj -the object created with PetscContainerCreate()

### Output Parameter

ptr -the pointer value

### See Also

PetscContainerCreate(), PetscContainerDestroy(),
PetscContainerSetPointer()

Level:advanced
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages